﻿-- Addon:	ChiBar: GUI-creating part
-- Author:	Rakhan(EU-Azshara)


-- Disables Addons, if Character is no Monk
if select(2, UnitClass("player")) ~= "MONK" then
    return
end


------------------------------------------
local VERSIONNUMBER = 0.2				--
------------------------------------------


------------------------------------------
--		Creating Varibales 				--
------------------------------------------

-- Creating MainArray for all da fun, mon!
ChiBar = {}
-- Creating MainFrame
ChiBar.mainFrame = CreateFrame("Frame", "ChiBarFrame", UIParent)
-- Some Constants
local ICON = "|TINTERFACE\\PlayerFrame\\MonkLightPower:15:15|t"
ChiBar.VERSIONTEXT = ICON.."|cff00FF96ChiBar Version "..VERSIONNUMBER.." -- Rakhan(EU-Azshara)"..ICON
ChiBar.textures = {}
local index = 1
for index = 1, 3 do
	ChiBar.textures[((index*2)-1)] = "Interface\\Addons\\ChiBar\\images\\empty"..index..".tga"
	ChiBar.textures[(index*2)] = "Interface\\Addons\\ChiBar\\images\\glow"..index..".tga"
end


------------------------------------------
--		GUI								--
------------------------------------------

function ChiBar:createUI()
	-- Creating SubFrame
	ChiBar.Bubbles = {}
	for index = 1, 5 do
		ChiBar.Bubbles[index] = CreateFrame("Frame", "ChiBubble1"..index, ChiBar.mainFrame)
	end

	-- Creating Textures
	ChiBar.BGTexture = ChiBar.mainFrame:CreateTexture("BGTexture", "BACKGROUND")
	ChiBar.BGTexture:SetAllPoints(ChiBar.mainFrame)
	ChiBar.BGTexture:SetTexture(220, 220, 220, 0.3)
	ChiBar.BGTexture:Hide()
	ChiBar.Textures0 = {}
	ChiBar.Textures1 = {}
	for index = 1, 5 do
		ChiBar.Textures0[index] = ChiBar.Bubbles[index]:CreateTexture("ChiTexture"..index.."0", "BACKGROUND")
		ChiBar.Textures1[index] = ChiBar.Bubbles[index]:CreateTexture("ChiTexture"..index.."1", "OVERLAY")
	end
	
	-- Setting proberties of the mainFrames
	ChiBar.mainFrame:SetWidth(320)
	ChiBar.mainFrame:SetHeight(64)
	ChiBar.mainFrame:SetPoint(ChiBarDB.from, UIParent, ChiBarDB.to, ChiBarDB.x, ChiBarDB.y)
	ChiBar.mainFrame:SetScale(ChiBarDB.scale)
	ChiBar.mainFrame:RegisterForDrag("LeftButton")
	ChiBar.mainFrame:SetMovable(false)

	-- Setting proberties of the subFrames
	for index = 1, 5 do
		ChiBar.Bubbles[index]:SetHeight(64)
		ChiBar.Bubbles[index]:SetWidth(64)
	end
	ChiBar.Bubbles[1]:SetPoint("LEFT", ChiBar.mainFrame, "LEFT")
	ChiBar.Bubbles[2]:SetPoint("LEFT", ChiBar.Bubbles[1], "RIGHT")
	ChiBar.Bubbles[3]:SetPoint("LEFT", ChiBar.Bubbles[2], "RIGHT")
	ChiBar.Bubbles[4]:SetPoint("LEFT", ChiBar.Bubbles[3], "RIGHT")
	ChiBar.Bubbles[5]:SetPoint("LEFT", ChiBar.Bubbles[4], "RIGHT")
	
	-- Setting proberties of the Frames
	for index = 1, 5 do
		ChiBar.Textures0[index]:SetAllPoints(ChiBar.Bubbles[index])
		ChiBar.Textures1[index]:SetAllPoints(ChiBar.Bubbles[index])
		ChiBar.Textures0[index]:SetTexture(ChiBar.textures[((ChiBarDB.savedTexture*2)-1)])
		ChiBar.Textures1[index]:SetTexture(ChiBar.textures[(ChiBarDB.savedTexture*2)])
		ChiBar.Textures1[index]:Hide()
	end
end


------------------------------------------
--		End of Script					--
------------------------------------------